Subject: Re: bug#60247: 28.2; incorrect highlighting in HTML+ mode

From: Matthias Meulien <[email-masked]>
Date: Sun, 23 Jul 2023 09:54:16 +0200

Eli Zaretskii <[email-masked]> writes:

>> Date: Thu, 22 Dec 2022 02:51:32 +0100
>> From: Vincent Lefevre <[email-masked]>
>> 
>> 1. Open file.html with "emacs -Q file.html".
>> 2. Go to the end of the file.
>> 
>> In the paragraph starting with
>> 
>> <p>The first version of unums, formally known as Type I unum, was introduced in Gustafson's book <i>The End of Error</i> as a superset
>> 
>> everything from "'s book" is highlighted in a different color.
>
> HTML Mode evidently considers what follows the apostrophe to be a
> string.  Replacing the literal apostrophe with &#39; fixes the
> display.

I confirm Vincent observation:  HTML Mode behavior with quotes is
inconsistent.

Bug still present with 30.0.50 build from commit b9a910a701a.

I reproduced with emacs -Q and the files test.html and test_ko.html
attached to this message.

Note that removing random space charaters in the style element sometime
fix the problem.

This is expected. That's expected too

This is expected. That's expected too